Package org.codehaus.groovy.antlr

# Class GroovySourceToken

java.lang.Object
antlr.Token
org.codehaus.groovy.antlr.GroovySourceToken

All Implemented Interfaces:
  `Cloneable`, `SourceInfo`

public class GroovySourceToken extends antlr.Token implements SourceInfo
This is a Token sub class to track line information

Author:
  Jochen Theodorou

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`col`
`protected int`
`colLast`
`protected int`
`line`
`protected int`
`lineLast`
`protected String`
`text`

### Fields inherited from class antlr.Token

`badToken, EOF_TYPE, INVALID_TYPE, MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, SKIP, type`

## Constructor Summary

Constructors
Constructor
Description
`GroovySourceToken(int t)`
Constructor using a token type

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
get starting column
`int`
`getColumnLast()`
get ending column
`int`
`getLine()`
get start line
`int`
`getLineLast()`
get ending line
`String`
`getText()`
get the source token text
`void`
`setColumn(int c)`
set start column
`void`
`setColumnLast(int colLast)`
set ending column
`void`
`setLine(int l)`
set start line
`void`
`setLineLast(int lineLast)`
set ending line
`void`
`setText(String s)`
set the source token text
`String`
`toString()`

### Methods inherited from class antlr.Token

`getFilename, getType, setFilename, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### line

protected int line

### text

protected String text

### col

protected int col

### lineLast

protected int lineLast

### colLast

protected int colLast

## Constructor Details

### GroovySourceToken

public GroovySourceToken(int t)
Constructor using a token type

Parameters:
  `t` - the type

## Method Details

### getLine

public int getLine()
Description copied from interface: `SourceInfo`
get start line

Specified by:
  `getLine` in interface `SourceInfo`
Overrides:
  `getLine` in class `antlr.Token`
Returns:
  the starting line

### getText

public String getText()
get the source token text

Overrides:
  `getText` in class `antlr.Token`
Returns:
  the source token text

### setLine

public void setLine(int l)
Description copied from interface: `SourceInfo`
set start line

Specified by:
  `setLine` in interface `SourceInfo`
Overrides:
  `setLine` in class `antlr.Token`
Parameters:
  `l` - the line

### setText

public void setText(String s)
set the source token text

Overrides:
  `setText` in class `antlr.Token`
Parameters:
  `s` - the text

### toString

public String toString()

Overrides:
  `toString` in class `antlr.Token`

### getColumn

public int getColumn()
Description copied from interface: `SourceInfo`
get starting column

Specified by:
  `getColumn` in interface `SourceInfo`
Overrides:
  `getColumn` in class `antlr.Token`
Returns:
  the starting column

### setColumn

public void setColumn(int c)
Description copied from interface: `SourceInfo`
set start column

Specified by:
  `setColumn` in interface `SourceInfo`
Overrides:
  `setColumn` in class `antlr.Token`
Parameters:
  `c` - the column

### getLineLast

public int getLineLast()
Description copied from interface: `SourceInfo`
get ending line

Specified by:
  `getLineLast` in interface `SourceInfo`
Returns:
  the ending line

### setLineLast

public void setLineLast(int lineLast)
Description copied from interface: `SourceInfo`
set ending line

Specified by:
  `setLineLast` in interface `SourceInfo`
Parameters:
  `lineLast` - the line

### getColumnLast

public int getColumnLast()
Description copied from interface: `SourceInfo`
get ending column

Specified by:
  `getColumnLast` in interface `SourceInfo`
Returns:
  the ending column

### setColumnLast

public void setColumnLast(int colLast)
Description copied from interface: `SourceInfo`
set ending column

Specified by:
  `setColumnLast` in interface `SourceInfo`
Parameters:
  `colLast` - the column